/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

// bptexp.h : header file
//
#ifndef _BPTEXP_H_
#define _BPTEXP_H_

/////////////////////////////////////////////////////////////////////////////
// Exported function

#ifdef __cplusplus
extern "C" {
#endif	// __cplusplus

void WINAPI InitDLL_BreakpointServer();

void WINAPI BreakpointCmd(int nArgc, char* pszArgv[]);
void WINAPI ClearCmd(int nArgc, char* pszArgv[]);

CObList* WINAPI BptGetBpList();

void WINAPI BptInitBpEnv();
void WINAPI BptFreeBpEnv();

BOOL WINAPI BptClrBp(const CSourceAddr& Addr);
BOOL WINAPI BptSetBp(const CSourceAddr& Addr);

void WINAPI BptClrBpFromList(const CSourceAddr& Addr);
void WINAPI BptSetBpFromList(const CSourceAddr& Addr);

BOOL WINAPI BptIsBreakpoint(const CSourceAddr& Addr);

#ifdef __cplusplus
}
#endif	// __cplusplus

#endif
/////////////////////////////////////////////////////////////////////////////
